/********************************************************************
* File: DSP28_GlobalPrototypes.h                                    *
* Description: This file contains all function prototypes.          *
* Author: David M. Alter, Texas Instruments Inc.                    *
* History: 10/30/02 - original  (based on DSP28 header files v0.58) *
********************************************************************/

#ifndef GLOBALPROTOTYPES_H
#define GLOBALPROTOTYPES_H

#include	"tec.h"

void DelayUs(volatile Uint16);
void FirFilter(PID*, int*, int);
void InitAdc(void);
void InitEv(void);
void InitGpio(void);
void InitPieCtrl(void);
void InitPieVectTable(void);
void InitSysCtrl(void);
void InitGptimer2(Uint16);
void InitPwm(Uint16);
void PidCtrl1(PID*);

#endif

/*** end of file *****************************************************/
